> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slm.m1amdocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Billing Plan

Creates a new [Billing Plan](Billing_Plans) object.

## **HTTP Request**

`POST https://api.vindicia.com/billing_plans`

## Route (URL) Parameters

None.

## Query Parameters

None.

## Accepts

JSON - A full [Billing Plan](Billing_Plans) object.

## Returns

JSON - A full [Billing Plan](Billing_Plans) object.

## Example Request

```

curl -X POST
-u acaff38d462f9430d5cbcbaf:a575771fc679b9de \
-d '{
    "object": "BillingPlan",
    "id": "plan_1235",
    "description": "Simple Monthly Plan with Trial",
    "trial": {
        "object": "BillingPlanPeriod",
        "type": "Day",
        "quantity": 7,
        "cycles": 1,
        "prices": [
            {
              "object": "BillingPlanPrice",
              "amount": 0,
              "currency": "USD"
            }
        ]
    },
    "periods": [
        {
          "object": "BillingPlanPeriod",
          "type": "Month",
          "quantity": 1,
          "cycles": 1,
          "prices": [
            {
              "object": "BillingPlanPrice",
              "amount": 49.99,
              "currency": "USD"
            }
        ]
        }
    ],
    "metadata": {
      "plan info": "trial billing plan"
    },
    "entitlements": [
        {
          "object": "Entitlement",
          "id": "ent_p1235",
          "description": "Access to ent_p1235"
        }
    ]
    }'\"https://api.staging.us-west.vindicia.com/billing_plans"
```

**Parent topic:**[Billing Plans](../topics/Billing_Plans)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.